std::swap(std::basic_syncbuf)(3)

NAME
std::swap(std::basic_syncbuf) - std::swap(std::basic_syncbuf)

Synopsis
   template< class CharT, class Traits, class Allocator >
   void swap( std::basic_syncbuf<CharT, Traits, Allocator>& lhs, (since C++20)
   std::basic_syncbuf<CharT, Traits, Allocator>& rhs );
   Overloads the std::swap algorithm for std::basic_syncbuf. Exchanges the state of lhs
   with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - std::basic_syncbuf objects whose states to swap

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two basic_syncbuf objects
        (public member function)
   swap swaps the values of two objects
        (function template)